# AODataSegmentAdd

Adds another data segment to a AOData database.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentAdd(AOData aodata,const char name[],const char segment[],PetscInt bs,PetscInt n,PetscInt *keys,void *data,PetscDataType dtype)

Collective on AOData

### Input Parameters

| aodata | - the database
| name | - the name of the key
| segment | - the name of the data segment
| bs | - the fundamental blocksize of the data
| n | - the number of data items contributed by this processor
| keys | - the keys provided by this processor
| data | - the actual data
| dtype | - the data type (one of PETSC_INT, PETSC_DOUBLE, PETSC_SCALAR, etc.)

### Keywords

database additions

### See Also

AODataSegmentAddIS()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html